IXP_READ(3)

NAME

ixp_read, ixp_pread

SYNOPSIS
  #include <ixp.h>

  long ixp_read(IxpCFid *fid, void *buf, long count);

  long ixp_pread(IxpCFid *fid, void *buf, long count, int64_t offset);

PARAMETERS

buf A buffer in which to store the read data.

count
    The number of bytes to read.

offset
    The offset at which to begin reading.

DESCRIPTION

ixp_read and ixp_pread each read IcountR bytes of data from the file pointed to by IfidR, into IbufR. ixp_read begins reading at its stored offset, and increments it by the number of bytes read. ixp_pread reads beginning at IoffsetR and does not alter IfidR's stored offset.

RETURN VALUE

These functions return the number of bytes read on success and -1 on failure.

SEE ALSO

ixp_mount(3), ixp_open(3), ixp_write(3)